package com.abi.qms.platform.dao.vo.result;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 17:17
 * @description:
 */
@Data
@ApiModel
public class ActivationRecordVO implements Serializable {

    @ApiModelProperty("条码序号")
    private String boxCode;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "激活账号")
    private String activeAccount;

    @ApiModelProperty(value = "激活时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String activeTime;
}
