package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/06/09 14:01
 * @description:
 */
@Data
@ApiModel
public class WxQrPackageDetailVO implements Serializable {

    @ApiModelProperty(value = "码包ID")
    private Long packageId;

    @ApiModelProperty(value = "活动ID")
    private Long activeId;

    @ApiModelProperty(value = "活动名称")
    private String activeName;

    @ApiModelProperty(value = "活动类型 1-utc 2-bof 3-品质信息")
    private Integer activeType;

    @ApiModelProperty(value = "SAP采购订单号")
    private String sapOrderNo;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "盖码数量")
    private Integer capNum;

    @ApiModelProperty(value = "条码总数")
    private Integer packageTotalNum;

    @ApiModelProperty(value = "已激活条码数")
    private Integer activePackageNum;
}
