package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author lu
 * @date 2021年06月09日 17:12
 */
@Data
@ApiModel
public class QueryWxFactoryRes implements Serializable {

    @ApiModelProperty("报表列表")
    List<QueryWxFactoryBean> queryWxFactoryBeanList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "QueryOrderFormLimitRes_QueryWxFactoryBean")
    public static class QueryWxFactoryBean implements Serializable{

        @ApiModelProperty("下单量")
        private Long total;

        @ApiModelProperty("激活量")
        private Long activation;

        @ApiModelProperty("库存")
        private Long inStock;

        @ApiModelProperty(value = "月")
        private String march;
    }

}
