package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/10 10:03
 * @description: 立即激活入参
 */
@Data
@ApiModel
public class ActivateNowReq implements Serializable {

    @ApiModelProperty(value = "条码序号")
    private List<String> boxCodeList;

    @ApiModelProperty(value = "产线名称")
    private String productionLineName;

    @ApiModelProperty(value = "生产日期")
    private String productionTime;
}
